/* CIAgentMessage class

   Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997

*/


 import java.io.* ;
 import java.util.*;

public class CIAgentMessage {

   String performative ;
   String content ;
   String inReplyTo ;
   String language ;
   String ontology ;
   String receiver ;
   String replyWith ;
   String sender ;

   CIAgentMessage(String Performative, String Content,
                String InReplyTo, String Language,
                String Ontology, String Receiver,
                String ReplyWith, String Sender) {
         performative = Performative ;
         content = Content ;
         inReplyTo = InReplyTo ;
         language = Language ;
         ontology = Ontology ;
         receiver = Receiver ;
         replyWith = ReplyWith ;
         sender = Sender ;
   }

   CIAgentMessage(String Performative, String Content,
                String InReplyTo, String Receiver,
                String ReplyWith, String Sender) {
         performative = Performative ;
         content = Content ;
         inReplyTo = InReplyTo ;
         receiver = Receiver ;
         replyWith = ReplyWith ;
         sender = Sender ;

   }

   public void display() {
     System.out.println("performative: " + performative + "\n" +
     "content: " + content + "\n" +
     "inReplyTo: " + inReplyTo + "\n" +
     "language: " + language + "\n" +
     "ontology: " + ontology + "\n" +
     "receiver: " + receiver + "\n" +
     "replyWith: " + replyWith + "\n" +
     "sender: " + sender + "\n");
   }


}