/* Offer class

   Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997

*/
// package sunw.demo.ciagent ;
 import java.util.*;

 public class Offer  {
   String sender ;    // who made the offer
   String item ;      // what item is offered
   String id ;        // the unique object id
   long   price ;     // the offered sales price


   Offer(String item) {
     sender = "" ;
     this.item = item ;
     id = "" ;
     price = 0 ;

   }

   Offer(String sender, String item, String id, long price) {
     this.sender = sender ;
     this.item = item ;
     this.id = id;
     this.price = price;
   }

   Offer(CIAgentMessage msg) {
    // split content into item, id, price
    StringTokenizer s = new StringTokenizer(msg.content," ") ;  //space delimited
    int num = s.countTokens() ;
    item = s.nextToken() ;
    id = s.nextToken() ;
    price =  new Long(s.nextToken()).longValue() ;
    sender = msg.sender ;
   }

 }
