/* CIAgentEvent class

   Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997

*/
// package sunw.demo.ciagent ;

 import java.util.*;

 public class CIAgentEvent extends java.util.EventObject  {
    Object argObject ;

    public Object getArgObject() { return argObject; }

    // for extremely simple events
    CIAgentEvent(CIAgent source) {
        super(source) ;
    } ;

    // for more complex events
    CIAgentEvent(CIAgent source, Object arg) {
      super(source) ;
      argObject = arg ;
    }

 };