/* NewsGroupDialog class

 Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997

*/

import java.awt.*;

public class NewsGroupDialog extends Dialog {
	void button2_Clicked(java.awt.event.ActionEvent event) {


		//{{CONNECTION
		// Disable the Dialog
		dispose();
		//}}
	}

	void button1_Clicked(java.awt.event.ActionEvent event) {


		//{{CONNECTION
		// Hide the Dialog
		dispose();
		//}}
	}


	public NewsGroupDialog(Frame parent, boolean modal) {

	    super(parent, modal);

		//{{INIT_CONTROLS
		setLayout(null);
		setLocation(parent.getLocation().x + 100, parent.getLocation().y + 100);
		setSize(getInsets().left + getInsets().right + 430,getInsets().top + getInsets().bottom + 203);
		setBackground(new Color(12632256));
		button1 = new java.awt.Button("OK");
		button1.setBounds(getInsets().left + 96,getInsets().top + 156,72,26);
		add(button1);
		button2 = new java.awt.Button("Cancel");
		button2.setBounds(getInsets().left + 264,getInsets().top + 156,72,26);
		add(button2);
		label1 = new java.awt.Label("Enter name of news group to add to the list:");
		label1.setBounds(getInsets().left + 24,getInsets().top + 24,397,41);
		add(label1);
		textField1 = new java.awt.TextField();
		textField1.setBounds(getInsets().left + 24,getInsets().top + 72,389,32);
		add(textField1);
		setTitle("");
		setResizable(false);
		//}}

		//{{REGISTER_LISTENERS
		SymAction lSymAction = new SymAction();
		button1.addActionListener(lSymAction);
		button2.addActionListener(lSymAction);
		this.addWindowListener(new windowEvents());
		//}}
	}

	public NewsGroupDialog(Frame parent, String title, boolean modal) {
	    this(parent, modal);
	    setTitle(title);
	}

  
 //-------------------------------------------------------------
 // This file has been migrated from the 1.0 to 1.1 event model.
 // This method is not used with the new 1.1 event model. You can 
 // move any code you need to keep, then remove this method.
 //-------------------------------------------------------------
 // 
 // 	public boolean handleEvent(Event event) {
 // 	    if(event.id == Event.WINDOW_DESTROY) {
 // 	        hide();
 // 	        return true;
 // 	    }
 // 		if (event.target == button1 && event.id == Event.ACTION_EVENT) {
 // 			button1_Clicked(event);
 // 			return true;
 // 		}
 // 		if (event.target == button2 && event.id == Event.ACTION_EVENT) {
 // 			button2_Clicked(event);
 // 			return true;
 // 		}
 // 		return super.handleEvent(event);
 // 	}
 //-------------------------------------------------------------

	//{{DECLARE_CONTROLS
	java.awt.Button button1;
	java.awt.Button button2;
	java.awt.Label label1;
	java.awt.TextField textField1;
	//}}

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == button1)
				button1_Clicked(event);
			else if (object == button2)
				button2_Clicked(event);
		}
	}
	
	class windowEvents extends java.awt.event.WindowAdapter {
        public void windowClosing(java.awt.event.WindowEvent event) {
               dispose();
        }     
    }     
}
