/* PC Manager ExecuteDialog Class

  Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997

 */

import java.awt.*;

public class ExecuteDialog extends Dialog {
    void button1_Clicked(java.awt.event.ActionEvent event) {

       dispose() ;

	}
    void button2_Clicked(java.awt.event.ActionEvent event) {

       cancel = true;   // user wants to cancel the alarm or watch
       dispose() ;
	}


	public ExecuteDialog(Frame parent, boolean modal) {

	    super(parent, modal);

		//{{INIT_CONTROLS
		setLayout(null);
		setLocation(parent.getLocation().x + 100, parent.getLocation().y + 100);
		setSize(getInsets().left + getInsets().right + 430,getInsets().top + getInsets().bottom + 270);
		textArea1 = new java.awt.TextArea();
		textArea1.setBounds(getInsets().left + 0,getInsets().top + 12,429,205);
		add(textArea1);
		button1 = new java.awt.Button("OK");
		button1.setBounds(getInsets().left + 36,getInsets().top + 228,121,31);
		add(button1);
		button2 = new java.awt.Button("Cancel");
		button2.setBounds(getInsets().left + 264,getInsets().top + 228,110,30);
		add(button2);
		setTitle("");
		setResizable(false);
		//}}
	
		//{{REGISTER_LISTENERS
		SymAction lSymAction = new SymAction();
		button1.addActionListener(lSymAction);
		button2.addActionListener(lSymAction);
		this.addWindowListener(new windowEvents());
		//}}
	}

	public ExecuteDialog(Frame parent, String title, boolean modal) {
	    this(parent, modal);
	    setTitle(title);
	}


 //-------------------------------------------------------------
 // This file has been migrated from the 1.0 to 1.1 event model.
 // This method is not used with the new 1.1 event model. You can 
 // move any code you need to keep, then remove this method.
 //-------------------------------------------------------------
 // 
 // 	public boolean handleEvent(Event event) {
 // 	    if(event.id == Event.WINDOW_DESTROY) {
 // 	        hide();
 // 	        return true;
 // 	    }
 // 	    if (event.target == button1 && event.id == Event.ACTION_EVENT) {
 // 			button1_Clicked(event);
 // 			return true;
 // 		}
 //         if (event.target == button2 && event.id == Event.ACTION_EVENT) {
 // 			button2_Clicked(event);
 // 			return true;
 // 		}
 // 
 // 		return super.handleEvent(event);
 // 	}
 //-------------------------------------------------------------

	//{{DECLARE_CONTROLS
	java.awt.TextArea textArea1;
	java.awt.Button button1;
	java.awt.Button button2;
	//}}

	boolean cancel = false ;

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == button1)
				button1_Clicked(event);
			else if (object == button2)
				button2_Clicked(event);
		}
	}

	class windowEvents extends java.awt.event.WindowAdapter {
        public void windowClosing(java.awt.event.WindowEvent event) {
               dispose();
        }     
    }     
}
