// -----------------------------------------------------------------------
// (C) Copyright IBM Corp, 1996
//
// File:        MonitorSC.java
// Author:      xxxxxxxxxxx
//
// Description: This class acts as a 'super class' for any Monitor threads
//              that are developed.
//
// DISCLAIMER OF WARRANTIES:
// -------------------------
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM product
// and is provided to you solely for the purpose of assisting you in the
// development of your applications.  The code is provided "AS IS",
// without warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have been
// advised of the possibility of such damages.
// -----------------------------------------------------------------------
package ibm.AgentBuilder.samples.stock;

import ibm.AgentBuilder.Adapter.*;

abstract class MonitorSC {

   abstract void setURL(String pList);

   abstract void setProxy(String pList);

   abstract void setProxyPort(int iInt);

   abstract String startMonitor(String plist);

   String URLtoUse;

}  // end of java class MonitorSC

