// -----------------------------------------------------------------------
// (C) Copyright IBM Corp, 1996
//
// File:        ParseSC.java
// Version:     1.0 (sample) 6 August 1996
//
// Description: This class acts as a 'super class' for any parser objects
//              that are developed.
//
// DISCLAIMER OF WARRANTIES:
// -------------------------
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM product
// and is provided to you solely for the purpose of assisting you in the
// development of your applications.  The code is provided "AS IS",
// without warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have been
// advised of the possibility of such damages.
// -----------------------------------------------------------------------
package ibm.AgentBuilder.samples.stock;

import ibm.AgentBuilder.Adapter.*;
import ibm.AgentBuilder.common.IAException;

// As needed
import java.util.Properties;

abstract class ParseSC {

   abstract Properties parseHTML(String tokens, String rawHTML);

}  // end of java class MonitorSC

