/*  SensorClause class

  Constructing Intelligent Agents with Java
   (C) Joseph P. Bigus and Jennifer Bigus 1997


*/

import java.util.*;
import java.io.*;


public class SensorClause extends Clause {
     Sensor object ;
     String sensorName ;

     SensorClause(String sName, RuleVariable Lhs)
    {
     lhs = Lhs ;
     cond = new Condition("=") ;
     rhs = " ";
     lhs.addClauseRef(this) ;
     ruleRefs = new Vector() ;
     truth = null ;
     consequent = new Boolean(false) ;
     sensorName = sName ;
    }

   public String display() {
        return "sensor(" + sensorName + "," + rhs + ") " ;
    }


    Boolean check() {
       if (consequent.booleanValue() == true) return null ;

       if (lhs.value == null) {
       RuleBase rb = ((Rule)ruleRefs.firstElement()).rb ;
       object = (Sensor)(rb.getSensorObject(sensorName)) ;
       truth =  object.sensor(this, sensorName, lhs) ;
       }
       return truth ;
    }
};





